'use strict';


import * as fe from "../core/fetcher.js";

import * as ti from "../core/time.js";

import * as sc from "../core/screen.js";

// Import services
import * as serv from "../services/service.js";

// Import views
import * as dom from "../dom/upcoming-talk.js";


// Empty JSON lists for data
let storage = {
    scheduleData: undefined
};

let cfg = {
    "roomName": "Festsaal",
    "music": {
        "artist": "luss",
        "title": "dub techno session #5",
        "licence": "CC-BY",
        "url": "https://lussdub.bandcamp.com/"
    }
};



let do_fetch = fe.configure({}, serv);

do_fetch(storage);


// Main Loop
let screen_update = sc.configure(serv, dom);

// Just do it
function main_loop() {
    screen_update(storage, ti, cfg);
    setTimeout(main_loop, 1 * 1000);
};

main_loop();
